/*!

	鮫亀フェードしたりする全画面マスク

*/
#if defined FEEDMASK_INCLUDED___
  #endinput
#endif
#define FEEDMASK_INCLUDED___

#include "types.inc"

//////////////////////////////////////////////////////////////////////////////////

static obj:g_MaskObject;

//////////////////////////////////////////////////////////////////////////////////


//////////////////////////////////////////////////////////////////////////////////


//////////////////////////////////////////////////////////////////////////////////
/*!
*/
stock MaskBlackOut(float:wait_value) {

	MaskDestroy();
	g_MaskObject = obj:CreateCharacterObject(
							320.0, 224.0, 640.0, 448.0, _, _, 
							ZSORT_NORMAL, 50.0);
	SetColor(g_MaskObject, 0.0, 0.0, 0.0, 0.0);
	AnimColor(g_MaskObject, 0.0, 0.0, 0.0, 1.0, wait_value, _, ANIM_TIMER_SLOWER);

}
/*!
*/
stock MaskWhiteOut(float:wait_value) {

	MaskDestroy();
	g_MaskObject = obj:CreateCharacterObject(
							320.0, 224.0, 640.0, 448.0, _, _, 
							ZSORT_NORMAL, 50.0);
	SetColor(g_MaskObject, 1.0, 1.0, 1.0, 0.0);
	AnimColor(g_MaskObject, 1.0, 1.0, 1.0, 1.0, wait_value, _, ANIM_TIMER_SLOWER);

}
/*!
*/
stock MaskWhiteIn(float:wait_value) {

	MaskDestroy();
	g_MaskObject = obj:CreateCharacterObject(
							320.0, 224.0, 640.0, 448.0, _, _, 
							ZSORT_NORMAL, 50.0);
	SetColor(g_MaskObject, 1.0, 1.0, 1.0, 1.0);
	AnimColor(g_MaskObject, 1.0, 1.0, 1.0, 0.0, wait_value, _, ANIM_TIMER_SLOWER);

}
/*!
*/
stock MaskBlackIn(float:wait_value) {

	MaskDestroy();
	g_MaskObject = obj:CreateCharacterObject(
							320.0, 224.0, 640.0, 448.0, _, _, 
							ZSORT_NORMAL, 50.0);
	SetColor(g_MaskObject, 0.0, 0.0, 0.0, 1.0);
	AnimColor(g_MaskObject, 0.0, 0.0, 0.0, 0.0, wait_value, _, ANIM_TIMER_SLOWER);

}

stock MaskBlack() {

	MaskDestroy();
	g_MaskObject = obj:CreateCharacterObject(
							320.0, 224.0, 640.0, 448.0, _, _, 
							ZSORT_NORMAL, 50.0);
	SetColor(g_MaskObject, 0.0, 0.0, 0.0, 1.0);

}


stock MaskDestroy() {
	SafeDestroyObject(g_MaskObject);
}

stock MaskHide() {
	Hide(g_MaskObject);
}
stock MaskShow() {
	Show(g_MaskObject);
}